public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in app-accessibility/espeakup: espeakup-9999.ebuild espeakup-0.71.ebuild ChangeLog
@ 2013-10-10 22:39 William Hubbs (williamh)
  0 siblings, 0 replies; only message in thread
From: William Hubbs (williamh) @ 2013-10-10 22:39 UTC (permalink / raw
  To: gentoo-commits

williamh    13/10/10 22:39:12

  Modified:             espeakup-9999.ebuild espeakup-0.71.ebuild ChangeLog
  Log:
  Bump to eapi 5 to allow use dependencies can be added for espeak.
  This is important enough that I am making this change directly to a
  stable ebuild as well. Otherwise, it is possible to have espeakup be
  unable to speak which breaks accessibility.
  
  (Portage version: 2.2.1/cvs/Linux i686, signed Manifest commit with key 0x30C46538)

Revision  Changes    Path
1.10                 app-accessibility/espeakup/espeakup-9999.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/espeakup-9999.ebuild?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/espeakup-9999.ebuild?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/espeakup-9999.ebuild?r1=1.9&r2=1.10

Index: espeakup-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/espeakup-9999.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- espeakup-9999.ebuild	25 Jun 2011 13:54:08 -0000	1.9
+++ espeakup-9999.ebuild	10 Oct 2013 22:39:11 -0000	1.10
@@ -1,6 +1,8 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/espeakup-9999.ebuild,v 1.9 2011/06/25 13:54:08 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/espeakup-9999.ebuild,v 1.10 2013/10/10 22:39:11 williamh Exp $
+
+EAPI=5
 
 if [[ ${PV} == "9999" ]] ; then
 	EGIT_REPO_URI="git://github.com/williamh/espeakup.git"
@@ -19,8 +21,11 @@
 SLOT="0"
 IUSE=""
 
-DEPEND="app-accessibility/espeak"
-RDEPEND="${DEPEND}"
+COMMON_DEPEND="|| (
+	app-accessibility/espeak[portaudio]
+	app-accessibility/espeak[pulseaudio] )"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
 
 CONFIG_CHECK="~SPEAKUP ~SPEAKUP_SYNTH_SOFT"
 ERROR_SPEAKUP="CONFIG_SPEAKUP is not enabled in this kernel!"



1.10                 app-accessibility/espeakup/espeakup-0.71.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/espeakup-0.71.ebuild?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/espeakup-0.71.ebuild?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/espeakup-0.71.ebuild?r1=1.9&r2=1.10

Index: espeakup-0.71.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/espeakup-0.71.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- espeakup-0.71.ebuild	16 May 2011 23:25:49 -0000	1.9
+++ espeakup-0.71.ebuild	10 Oct 2013 22:39:11 -0000	1.10
@@ -1,6 +1,8 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/espeakup-0.71.ebuild,v 1.9 2011/05/16 23:25:49 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/espeakup-0.71.ebuild,v 1.10 2013/10/10 22:39:11 williamh Exp $
+
+EAPI=5
 
 inherit linux-info
 
@@ -13,8 +15,11 @@
 KEYWORDS="amd64 x86"
 IUSE=""
 
-DEPEND="app-accessibility/espeak"
-RDEPEND="${DEPEND}"
+COMMON_DEPEND="|| (
+	app-accessibility/espeak[portaudio]
+	app-accessibility/espeak[pulseaudio] )"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
 
 CONFIG_CHECK="~SPEAKUP ~SPEAKUP_SYNTH_SOFT"
 ERROR_SPEAKUP="CONFIG_SPEAKUP is not enabled in this kernel!"



1.23                 app-accessibility/espeakup/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/ChangeLog?rev=1.23&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/ChangeLog?rev=1.23&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-accessibility/espeakup/ChangeLog?r1=1.22&r2=1.23

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/ChangeLog,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- ChangeLog	25 Jun 2011 13:54:08 -0000	1.22
+++ ChangeLog	10 Oct 2013 22:39:12 -0000	1.23
@@ -1,6 +1,13 @@
 # ChangeLog for app-accessibility/espeakup
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/ChangeLog,v 1.22 2011/06/25 13:54:08 williamh Exp $
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeakup/ChangeLog,v 1.23 2013/10/10 22:39:12 williamh Exp $
+
+  10 Oct 2013; William Hubbs <williamh@gentoo.org> espeakup-0.71.ebuild,
+  espeakup-9999.ebuild:
+  Bump to eapi 5 to allow use dependencies can be added for espeak. This is
+  important enough that I am making this change directly to a stable ebuild as
+  well. Otherwise, it is possible to have espeakup be unable to speak which
+  breaks accessibility.
 
   25 Jun 2011; William Hubbs <williamh@gentoo.org> espeakup-9999.ebuild:
   migrate to git-2 eclass.
@@ -83,4 +90,3 @@
   02 Sep 2008; William Hubbs <williamh@gentoo.org> +files/espeakup.rc,
   +metadata.xml, +espeakup-0.2.ebuild:
   Initial commit.
-





^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2013-10-10 22:39 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-10-10 22:39 [gentoo-commits] gentoo-x86 commit in app-accessibility/espeakup: espeakup-9999.ebuild espeakup-0.71.ebuild ChangeLog William Hubbs (williamh)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox